external_url '{{urls.gitlab}}'
unicorn['listen'] = '0.0.0.0'
unicorn['port'] = 8099
unicorn['socket'] = '/var/opt/gitlab/gitlab-rails/sockets/gitlab.socket'
unicorn['pidfile'] = '/opt/gitlab/var/unicorn/unicorn.pid'
unicorn['tcp_nopush'] = true
unicorn['backlog_socket'] = 1024



redis_exporter['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/redis-exporter"
gitaly['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/gitaly"
gitlab_shell['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/gitlab-shell"
gitlab_rails['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/gitlab-rails"
unicorn['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/unicorn"
redis['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/redis"
postgresql['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/postgresql"
logrotate['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/logrotate"
sidekiq['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/sidekiq"
registry['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/registry"
alertmanager['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/alertmanager"
gitlab_workhorse['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/gitlab-workhorse"
nginx['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/nginx"
mattermost_nginx['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/nginx"
gitlab_pages['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/gitlab_pages"
pages_nginx['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/nginx"
redis_exporter['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/redis-exporter"
gitlab_monitor['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/gitlab-monitor"
postgres_exporter['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/postgres-exporter"
prometheus['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/prometheus"
node_exporter['log_directory'] = "{{ GITLAB_PATH }}/log/gitlab/node-exporter"



gitlab_workhorse['enable'] = true
git_data_dirs({ "default" => { "path" => "{{ GITLAB_PATH }}/git-data" } });

gitlab_workhorse['env'] = {
  'SSL_CERT_DIR' => "/opt/gitlab/embedded/ssl/certs/"
}

nginx['enable'] = true
nginx['client_max_body_size'] = '250m'
nginx['redirect_http_to_https'] = true
nginx['redirect_http_to_https_port'] = 80
nginx['ssl_client_certificate'] = "/etc/gitlab/ssl/ca.crt"
nginx['ssl_verify_client'] = "off"
nginx['client_max_body_size'] = '2500m'
nginx['listen_addresses'] = ['*', '[::]']
nginx['listen_port'] = {{ GITLAB_PORT }}
nginx['listen_https'] = false
nginx['proxy_set_headers'] = {
  "X-Forwarded-Proto" => "https",
  "X-Forwarded-Ssl" => "on",
}

letsencrypt['enable'] = false
